#!/bin/bash -l
#SBATCH -p xeon-p8
#SBATCH -J a7398
#SBATCH -N 1
#SBATCH -c 8
#SBATCH --time=5-0:00:00
#SBATCH --mem-per-cpu=1972

echo "============================================================"
echo "Job ID : $SLURM_JOB_ID"
echo "Job Name : $SLURM_JOB_NAME"
echo "Starting on : $(date)"
echo "Running on node : $SLURMD_NODENAME"
echo "Current directory : $(pwd)"
echo "============================================================"

WorkDir=/home/gridsan/xiaorui/scratch/$SLURM_JOB_NAME-$SLURM_JOB_ID
SubmitDir=`pwd`

GAUSS_SCRDIR=/home/gridsan/xiaorui/scratch/g09/$SLURM_JOB_NAME-$SLURM_JOB_ID
export GAUSS_SCRDIR

mkdir -p $GAUSS_SCRDIR
mkdir -p $WorkDir

cd $WorkDir
. $g16root/g16/bsd/g16.profile

cp "$SubmitDir/input.gjf" .
cp "$SubmitDir/check.chk" .

g16 < input.gjf > input.log
formchk  check.chk check.fchk
cp * "$SubmitDir/"

rm -rf $GAUSS_SCRDIR
rm -rf $WorkDir
        
        